from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XDrawView(XInterface, Protocol):
    def setCurrentPage(self, xPage: XDrawPage) -> None: ...
    def getCurrentPage(self) -> XDrawPage: ...
